import { Entity, PrimaryColumn, Column } from "typeorm";
import { ArticleObject } from "../activitypub/activity";

@Entity()
export default class Article {

	@PrimaryColumn()
	id: string;

	// the ActivityStreams Article object for this article
	@Column({ type: "json" })
	articleObject: ArticleObject;

	@Column()
	conversation: string;

	@Column()
	hasFederated: boolean;
}

